/*
 * Copyright (C) 2004 Dan Siemon <dan@coverfire.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef _LQL_QDISC_PRIVATE_H_
#define _LQL_QDISC_PRIVATE_H_

struct _LQLQDiscPrivate
{
        gboolean dispose_has_run;

	guint64 bytes;
	guint32 packets;
	guint32 drops;
	guint32 overlimits;
	guint32 bps;
	guint32 pps;
	guint32 qlen;
	guint32 backlog;
};

#endif /* _LQL_QDISC_PRIVATE_H_ */
