/*
 * Copyright (C) 2004 Dan Siemon <dan@coverfire.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef _LQL_CLASSIFIER_TCINDEX_HELPER_H_
#define _LQL_CLASSIFIER_TCINDEX_HELPER_H_

#include "lql-con.h"
#include "lql-classifier-tcindex.h"

gboolean lql_classifier_tcindex_helper_set_mark(LQLClassifierTCIndex *self, guint32 mark);
guint32 lql_classifier_tcindex_helper_get_mark(LQLClassifierTCIndex *self);
gboolean lql_classifier_tcindex_helper_fill_from_nlhdr(LQLClassifierTCIndex *self, const struct nlmsghdr *hdr);
gboolean lql_classifier_tcindex_helper_add(LQLClassifierTCIndex *tcindex, LQLCon *con);
gboolean lql_classifier_tcindex_helper_modify(LQLClassifierTCIndex *tcindex, LQLCon *con);
gboolean lql_classifier_tcindex_helper_delete(LQLClassifierTCIndex *tcindex, LQLCon *con);

#endif
