/*
 * Copyright (C) 2004 Dan Siemon <dan@coverfire.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef _LQL_QDISC_NETEM_HELPER_H_
#define _LQL_QDISC_NETEM_HELPER_H_

#include "lql-con.h"
#include "lql-qdisc-netem.h"

gboolean lql_qdisc_netem_helper_fill_from_nlhdr(LQLQDiscNetem *qdisc, const struct nlmsghdr *hdr);
gboolean lql_qdisc_netem_helper_add(LQLQDiscNetem *qdisc, LQLCon *con);
gboolean lql_qdisc_netem_helper_modify(LQLQDiscNetem *qdisc, LQLCon *con);
void lql_qdisc_netem_helper_print(LQLQDisc *self);
void lql_qdisc_netem_helper_printStats(LQLQDisc *self);
gboolean lql_qdisc_netem_helper_updateStats(LQLQDisc *self, LQLCon *con);

#endif
