#!/bin/bash
##################################
# Run all of the tests
##################################

echo "Running HTB QDisc Test #1"
./qdisc_htb_1
if [ $? != 0 ]; then
    echo "Test failed."
    exit
else
    echo "Passed."
fi

echo "Running Priomap QDisc Test #1"
./qdisc_priomap_1
if [ $? != 0 ]; then
    echo "Test failed."
    exit
else
    echo "Passed."
fi

echo "Running DSMark QDisc Test #1"
./qdisc_dsmark_1
if [ $? != 0 ]; then
    echo "Test failed."
    exit
else
    echo "Passed."
fi

echo "Running Netem QDisc Test #1"
./qdisc_netem_1
if [ $? != 0 ]; then
    echo "Test failed."
    exit
else
    echo "Passed."
fi

echo "Running PFIFO QDisc Test #1"
./qdisc_pfifo_1
if [ $? != 0 ]; then
    echo "Test failed."
    exit
else
    echo "Passed."
fi

echo "Running SFQ QDisc Test #1"
./qdisc_sfq_1
if [ $? != 0 ]; then
    echo "Test failed."
    exit
else
    echo "Passed."
fi

echo "Running HTB class Test #1"
./class_htb_1
if [ $? != 0 ]; then
    echo "Test failed."
    exit
else
    echo "Passed."
fi

echo "Running DSMark class Test #1"
./class_dsmark_1
if [ $? != 0 ]; then
    echo "Test failed."
    exit
else
    echo "Passed."
fi

echo "Running Fwmark classifier Test #1"
./classifier_fwmark_1
if [ $? != 0 ]; then
    echo "Test failed."
    exit
else
    echo "Passed."
fi

echo "Running TCIndex classifier Test #1"
./classifier_tcindex_1
if [ $? != 0 ]; then
    echo "Test failed."
    exit
else
    echo "Passed."
fi
